Subject: Re: bug#18056: Coreutils 8.23 test-localename failure

From: Paul Eggert <[email-masked]>
Date: Sat, 19 Jul 2014 08:07:19 -0700

Henrik Juul Pedersen wrote:

> gl_locale_name(LC_MESSAGES (int 5), 'LC_MESSAGES'): en_US.UTF-8
> gl_locale_name_default(): C

Thanks, since LC_MESSAGES is supposed to be unset at that point, 
gl_locale_name appears to be the culprit.  Can you use GDB to figure out 
why it's returning "en_US.UTF-8"?  You may need to recompile with "gcc 
-O0 -g3" to get decent debugging output.  Or, if you can't use GDB, just 
put in printf statements.